> ## Name

> cgGetParameterContext - get a parameter's parent context

> ## Synopsis

>     #include <Cg/cg.h>

>     CGcontext cgGetParameterContext( CGparameter param );

> ## Parameters

> param
>   The parameter.

> ## Return Values

> Returns a CGcontext handle to the parent context.

> Returns NULL if an error occurs.

> ## Description

> cgGetParameterContext allows the application to retrieve a handle to the context to which a given parameter belongs.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetParameterContext was introduced in Cg 1.2.

> ## See Also

> cgCreateParameter, cgGetParameterProgram